
import {Eventoi} from './interfaces/eventoi';

export class Discoteca {

    private id: number;
    private nombre: string;
    private telefono: number;
    private localizacion: string;
    private eventos: Eventoi[];
    private descripcion: string;

    setId(id: number): void{
        this.id = id;
    }

    getId(): number{
        return this.id;
    }

    setNombre(nombre: string): void{
        this.nombre = nombre;
      }

    getNombre(): string{
        return this.nombre;
      }

    setTelefono(telefono: number): void{
        this.telefono = telefono;
    }

    getTelefono(): number{
        return this.telefono;
    }

    setLocalizacion(localizacion: string): void{
        this.localizacion = localizacion;
    }

    getLocalizacion(): string{
        return this.localizacion
    }

    getEventos(): Eventoi[]{
        return this.eventos;
    }

    setDescripcion(desc: string): void{
        this.descripcion = desc;
    }

    getDescripcion(): string{
        return this.descripcion;
    }
}
